Bug 4929 - grid_ca_sign error: "test: unknown operator =="
: grid_ca_sign error: "test: unknown operator =="
Status: RESOLVED FIXED
: Simple CA
Simple CA
: 4.0.3
: Sun Solaris
: P3 normal
: ---
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2006-12-22 14:39 by
Modified: 2008-08-11 15:51 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-12-22 14:39:55
Using the grid_ca_sign command from Globus Toolkit 4.0.3, under Solaris 9, when
attempting to sign a certificate request that was previously signed by the CA,
the attempt fails and grid_ca_sign outputs an error message saying "test:
unknown operator ==".

Here's a diff illustrating a one-character modification to grid_ca_sign that
fixes the problem:

352c352
<         if test -n "${force_sign}" || test "${expired}" == "0"; then
---
>         if test -n "${force_sign}" || test "${expired}" = "0"; then

Please modify the grid_ca_sign script as shown above (change "==" to "=" on
line 352), to fix this problem.
------- Comment #1 From 2007-02-07 16:04:11 -------
Reassigning to SimpleCA, which is where grid_ca_sign lives.
------- Comment #2 From 2007-02-07 16:12:14 -------
Fix committed to trunk and 4_0 branch